using System.Text.Json.Serialization;

namespace Adaptation.FileHandlers.TIBCO.Transport;

public class RunDataSheet
{

    [JsonConstructor]
    public RunDataSheet(string loadLockSide, int psn, int reactor)
    {
        PSN = psn;
        LoadLockSide = loadLockSide;
        Reactor = reactor;
    }

    [JsonPropertyName("loadLockSide")] public string LoadLockSide { get; } // { init; get; }
    [JsonPropertyName("PSN")] public int PSN { get; } // { init; get; }
    [JsonPropertyName("reactor")] public int Reactor { get; } // { init; get; }

}